incubator-ooo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Andre Fischer ...@a-w-f.de>
Subject Re: Bundled extensions
Date Thu, 12 Apr 2012 04:46:30 GMT
On 11.04.2012 21:27, Josef Latt wrote:
> Hi,
>
> Am 11.04.2012 12:17, schrieb Andre Fischer:
>> On 11.04.2012 18:05, Josef Latt wrote:
>>> Hi,
>>>
>>> Am 11.04.2012 10:26, schrieb xia zhao:
>>>
>>> I would prefer that no extensions are bundled.
>>
>> Can you provide reasons for that ?
>
> As you can see below, there are IMHO some unnecessary extensions for a
> German user.

Which ones and why?  Do you want to drop any non-german dictionary, or 
any extension that is not de-DE?

>
> I prefer installing only needed extensions.
> The problem comes up every time if you install a new version of OOo.
>
>
>>> In this package
>>> Apache_OpenOffice_incubating_3.4.0_Linux_x86-64_install-deb_de.tar these
>>> extensions are bundled:
>>>
>>> dict-de_DE-frami_2011-06-03.oxt
>>> dict-de_AT-frami_2011-06-03.oxt
>>> dict-de_CH-frami_2011-06-03.oxt
>>> dict-en.oxt
>>> dict-it.oxt
>>> ooo-dictionnaire-fr-moderne-v4.2.oxt
>>> presentation-minimizer.oxt
>>> presenter-screen.oxt
>>>
>>> They are in this package 'ooobasis3.4-core01_3.4.0-1_amd64.deb' and will
>>> be automaticly installed when OOo is started the first time. IMHO not so
>>> good.
>>
>> Why?
>
> If you remain to bundle extensions it would be easier to prevent (with a
> separate package) that they will be installed.

Would that really be the right place to make extensions optional?
I am not so sure.

-Andre

Mime
View raw message